NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::RollingLineBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::RollingLine builder. More...

Inheritance diagram for NXOpen::Features::ShipDesign::RollingLineBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ConstructionMethodTypes {
  ConstructionMethodTypesMarchingAngle, ConstructionMethodTypesMarchingCurvature, ConstructionMethodTypesParallelPlane, ConstructionMethodTypesMinimumCurvature,
  ConstructionMethodTypesMaximumCurvature, ConstructionMethodTypesHighlight, ConstructionMethodTypesAsymptote
}
 The option to specify the method for creation of the pressure line. More...
 
enum  StartEvaluationTypes { StartEvaluationTypesSheetMidpoint, StartEvaluationTypesPointOnFace, StartEvaluationTypesNewPoint }
 The option for how the starting point for the evaluation of the sheet is to be created if it is not given. More...
 
enum  Types { TypesManual, TypesPressure, TypesGeodesic, TypesSteppedPressure }
 The option for the type of manufacturing operation to be performed on the sheet to form it. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle for either the max amount of rotation at a point for manual type. More...
 
NXOpen::ExpressionAngleDivisions ()
 Returns the number of divisions for dividing the angle when using a manual type. More...
 
double AngleTolerance ()
 Returns the modeling angle tolerance. More...
 
NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes ConstructionMethodOption ()
 Returns the value specifying which construction method to use for creating the rolling line. More...
 
double DistanceTolerance ()
 Returns the modeling distance tolerance. More...
 
NXOpen::GeometricAnalysis::DupinBuilderDupinIndicatrix ()
 Returns the dupin indicatrix for surface analysis. More...
 
NXOpen::PointEvaluationPoint ()
 Returns the selected point for evaluation when NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint . More...
 
NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes EvaluationPointOption ()
 Returns the option on how to seed the starting point for the evaluation. More...
 
bool HideConstructionProcess ()
 Returns the value specifying if the construction process should be hidden. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset to be applied when marching along the surface to the next point. More...
 
NXOpen::ExpressionPlanarRadiusLimit ()
 Returns the maximum radius on the surface to be considered non-planar. More...
 
NXOpen::PlanePlaneOrientation ()
 Returns the plane orientation to be used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure . More...
 
NXOpen::Point3d PointOnFace ()
 Returns the point specified by the surface selection. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the modeling angle tolerance. More...
 
void SetConstructionMethodOption (NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes constructionMethodOption)
 Sets the value specifying which construction method to use for creating the rolling line. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the modeling distance tolerance. More...
 
void SetEvaluationPoint (NXOpen::Point *evaluationPoint)
 Sets the selected point for evaluation when NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint . More...
 
void SetEvaluationPointOption (NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes evaluationPointOption)
 Sets the option on how to seed the starting point for the evaluation. More...
 
void SetHideConstructionProcess (bool hideConstructionProcess)
 Sets the value specifying if the construction process should be hidden. More...
 
void SetPlaneOrientation (NXOpen::Plane *planeOrientation)
 Sets the plane orientation to be used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure . More...
 
void SetPointOnFace (const NXOpen::Point3d &pointOnFace)
 Sets the point specified by the surface selection. More...
 
void SetSpecifyDirection (NXOpen::Direction *specifyDirection)
 Sets the initial flow direction. More...
 
void SetType (NXOpen::Features::ShipDesign::RollingLineBuilder::Types type)
 Sets the value identifying what type of manufacturing process is to be applied to the surface for bending. More...
 
NXOpen::DirectionSpecifyDirection ()
 Returns the initial flow direction. More...
 
NXOpen::ScCollectorSurface ()
 Returns the collection of faces that represent the surface to be analyzed. More...
 
NXOpen::Features::ShipDesign::RollingLineBuilder::Types Type ()
 Returns the value identifying what type of manufacturing process is to be applied to the surface for bending. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::RollingLine builder.

It is used to create and edit a rolling line feature.
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateRollingLineBuilder
Default values.

Property Value

Angle.Value

15.0

AngleDivisions.Value

3

ConstructionMethodOption

MarchingAngle

DupinIndicatrix.Angle

0

DupinIndicatrix.FlatnessTolerance

3500 (millimeters part), 137.8 (inches part)

DupinIndicatrix.Scale

1.0

EvaluationPointOption

SheetMidpoint

HideConstructionProcess

1

Offset.Value

500.0 (millimeters part), 20.0 (inches part)

PlanarRadiusLimit.Value

3500.0 (millimeters part), 137.8 (inches part)


Created in NX8.0.0.

Member Enumeration Documentation

The option to specify the method for creation of the pressure line.

Enumerator
ConstructionMethodTypesMarchingAngle 

Use an initial value method and march along the varying normals at each subsequent location.

ConstructionMethodTypesMarchingCurvature 

Use an initial value method and march along the varying normals at each subsequent location adjusting the final direction by the sheet curvature.

ConstructionMethodTypesParallelPlane 

Use a parallel plane approach to develop the pressure line.

ConstructionMethodTypesMinimumCurvature 

Use an initial value method and march along the minimum curvature at each subsequent location.

ConstructionMethodTypesMaximumCurvature 

Use an initial value method and march along the maximum curvature at each subsequent location.

ConstructionMethodTypesHighlight 

Use an initial value method and march along the highlight (zero degree isocline) at each subsequent location.

ConstructionMethodTypesAsymptote 

Use an initial value method and march along and create the asymptotic lines.

Valid for a surface location that generates a hyperbole or parabola.

The option for how the starting point for the evaluation of the sheet is to be created if it is not given.

Enumerator
StartEvaluationTypesSheetMidpoint 

Use the midpoint of the sheet as the seed point for evaluation.

StartEvaluationTypesPointOnFace 

Use a point on the selected face to start the evaluation.

StartEvaluationTypesNewPoint 

Use the newly created, or specified, point as the seed point to start the evaluation.

The option for the type of manufacturing operation to be performed on the sheet to form it.

Enumerator
TypesManual 

Creates a single line on the surface where the maximum force is to be applied.

TypesPressure 

Create multiple lines on the surface where the tangential for each line is constant on intersecting plane sections.

TypesGeodesic 

Create a single geodesic line on the surface.

TypesSteppedPressure 

Create a saw tooth set of curves on the surface where the tangential for each line is constant on intersecting plane sections.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::Angle ( )

Returns the angle for either the max amount of rotation at a point for manual type.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::AngleDivisions ( )

Returns the number of divisions for dividing the angle when using a manual type.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::RollingLineBuilder::AngleTolerance ( )

Returns the modeling angle tolerance.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodOption ( )

Returns the value specifying which construction method to use for creating the rolling line.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::RollingLineBuilder::DistanceTolerance ( )

Returns the modeling distance tolerance.


Created in NX8.0.0.

License requirements : None

NXOpen::GeometricAnalysis::DupinBuilder* NXOpen::Features::ShipDesign::RollingLineBuilder::DupinIndicatrix ( )

Returns the dupin indicatrix for surface analysis.


Created in NX8.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::ShipDesign::RollingLineBuilder::EvaluationPoint ( )
NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes NXOpen::Features::ShipDesign::RollingLineBuilder::EvaluationPointOption ( )

Returns the option on how to seed the starting point for the evaluation.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::RollingLineBuilder::HideConstructionProcess ( )

Returns the value specifying if the construction process should be hidden.

True indicates that the process should be hidden. Only valid for a manual type rolling line.
Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::Offset ( )

Returns the offset to be applied when marching along the surface to the next point.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::PlanarRadiusLimit ( )

Returns the maximum radius on the surface to be considered non-planar.


Created in NX8.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::ShipDesign::RollingLineBuilder::PlaneOrientation ( )

Returns the plane orientation to be used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure .


Created in NX8.5.0.

License requirements : None

NXOpen::Point3d NXOpen::Features::ShipDesign::RollingLineBuilder::PointOnFace ( )

Returns the point specified by the surface selection.

This point is set during the UI interaction.
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

void NXOpen::Features::ShipDesign::RollingLineBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the modeling angle tolerance.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
angleToleranceangletolerance
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetConstructionMethodOption ( NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes  constructionMethodOption)

Sets the value specifying which construction method to use for creating the rolling line.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
constructionMethodOptionconstructionmethodoption
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the modeling distance tolerance.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetEvaluationPoint ( NXOpen::Point evaluationPoint)

Sets the selected point for evaluation when NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint .

Not used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure .
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
evaluationPointevaluationpoint
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetEvaluationPointOption ( NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes  evaluationPointOption)

Sets the option on how to seed the starting point for the evaluation.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
evaluationPointOptionevaluationpointoption
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetHideConstructionProcess ( bool  hideConstructionProcess)

Sets the value specifying if the construction process should be hidden.

True indicates that the process should be hidden. Only valid for a manual type rolling line.
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
hideConstructionProcesshideconstructionprocess
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetPlaneOrientation ( NXOpen::Plane planeOrientation)

Sets the plane orientation to be used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure .


Created in NX8.5.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
planeOrientationplaneorientation
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetPointOnFace ( const NXOpen::Point3d pointOnFace)

Sets the point specified by the surface selection.

This point is set during the UI interaction.
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
pointOnFacepointonface
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetSpecifyDirection ( NXOpen::Direction specifyDirection)

Sets the initial flow direction.

Not used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure .
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
specifyDirectionspecifydirection
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetType ( NXOpen::Features::ShipDesign::RollingLineBuilder::Types  type)

Sets the value identifying what type of manufacturing process is to be applied to the surface for bending.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
typetype
NXOpen::Direction* NXOpen::Features::ShipDesign::RollingLineBuilder::SpecifyDirection ( )

Returns the initial flow direction.

Not used for NXOpen::Features::ShipDesign::RollingLineBuilder::TypesSteppedPressure .
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::ShipDesign::RollingLineBuilder::Surface ( )

Returns the collection of faces that represent the surface to be analyzed.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::RollingLineBuilder::Types NXOpen::Features::ShipDesign::RollingLineBuilder::Type ( )

Returns the value identifying what type of manufacturing process is to be applied to the surface for bending.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.